itimerspec(3type)

NAME
timespec - interval for a timer with nanosecond precision

LIBRARY
Standard C library (libc)

SYNOPSIS
    #include <time.h>

struct itimerspec {
    struct timespec  it_interval;  /* Interval for periodic timer */
    struct timespec  it_value;     /* Initial expiration */
};

DESCRIPTION
Describes the initial expiration of a timer, and its interval, in seconds and nanoseconds.

STANDARDS
Linux-specific.

NOTES
The following header also provides this type: <sys/timerfd.h>.

SEE ALSO
timerfd_create(2), timer_settime(2), timespec(3type)